/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.sapics.client.gui;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.sapics.client.eof.model.EOFournis;
import org.cocktail.sapics.client.eof.model.EOSousTraitant;
import org.cocktail.sapics.client.swing.TableSorter;
import org.cocktail.sapics.client.swing.ZEOTable;
import org.cocktail.sapics.client.swing.ZEOTableModel;
import org.cocktail.sapics.client.swing.ZEOTableModelColumn;
import org.cocktail.sapics.client.utilities.CocktailConstantes;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class AttributionSousTraitantsView extends javax.swing.JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4776193981697919105L;

	protected EODisplayGroup eod;

	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel ;
	protected TableSorter myTableSorter;

	/** Creates new form TemplateJPanel */
	public AttributionSousTraitantsView(EODisplayGroup dg) {

		eod = dg;

		initComponents();
		initGui();

	}


	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTable = new javax.swing.JPanel();
        btnAddSousTraitant = new javax.swing.JButton();
        btnDelSousTraitant = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        tfMontantControle = new javax.swing.JTextField();
        btnUpdSousTraitant = new javax.swing.JButton();
        tfRib = new javax.swing.JTextField();
        btnGetRib = new javax.swing.JButton();
        btnDelRib = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();

        viewTable.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTable.setLayout(new java.awt.BorderLayout());

        btnAddSousTraitant.setToolTipText("Ajout d'un nouveau marché");

        btnDelSousTraitant.setToolTipText("Ajout d'un nouveau marché");

        jLabel1.setText("Montant de contrôle (Sous Traitance déduite) : ");

        tfMontantControle.setEditable(false);
        tfMontantControle.setHorizontalAlignment(javax.swing.JTextField.RIGHT);

        btnUpdSousTraitant.setToolTipText("Ajout d'un nouveau marché");

        tfRib.setEditable(false);
        tfRib.setToolTipText("RIB associé à cette attribution");
        tfRib.setEnabled(false);

        btnGetRib.setToolTipText("Affichage / Association d'un RIB à l'attribution");

        btnDelRib.setToolTipText("Affichage / Association d'un RIB à l'attribution");

        jLabel2.setText("RIB");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createSequentialGroup()
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfRib, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 618, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetRib, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelRib, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(jLabel1)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfMontantControle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 117, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 712, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnAddSousTraitant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnDelSousTraitant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnUpdSousTraitant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(btnAddSousTraitant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdSousTraitant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(5, 5, 5)
                        .add(btnDelSousTraitant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 344, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnDelRib, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnGetRib, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfRib)
                        .add(jLabel2)))
                .add(15, 15, 15)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfMontantControle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAddSousTraitant;
    private javax.swing.JButton btnDelRib;
    private javax.swing.JButton btnDelSousTraitant;
    private javax.swing.JButton btnGetRib;
    private javax.swing.JButton btnUpdSousTraitant;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JTextField tfMontantControle;
    private javax.swing.JTextField tfRib;
    protected javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables




	private void initGui() {

		btnAddSousTraitant.setIcon(CocktailConstantes.ICON_ADD);
		btnUpdSousTraitant.setIcon(CocktailConstantes.ICON_UPDATE);
		btnDelSousTraitant.setIcon(CocktailConstantes.ICON_DELETE);
		
		btnGetRib.setIcon(CocktailConstantes.ICON_SELECT_16);
		btnDelRib.setIcon(CocktailConstantes.ICON_DELETE);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOSousTraitant.FOURNISSEUR_KEY+"."+EOFournis.NOM_COMPLET_KEY, "Fournisseur", 250);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOSousTraitant.ST_MONTANT_KEY, " Montant", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTableNuits.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

	}


	public ZEOTable getMyEOTable() {
		return myEOTable;
	}


	public javax.swing.JButton getBtnUpdSousTraitant() {
		return btnUpdSousTraitant;
	}


	public void setBtnUpdSousTraitant(javax.swing.JButton btnUpdSousTraitant) {
		this.btnUpdSousTraitant = btnUpdSousTraitant;
	}


	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}


	public javax.swing.JPanel getViewTableExecution() {
		return viewTable;
	}
	
	


	public javax.swing.JButton getBtnAddSousTraitant() {
		return btnAddSousTraitant;
	}


	public void setBtnAddSousTraitant(javax.swing.JButton btnAddSousTraitant) {
		this.btnAddSousTraitant = btnAddSousTraitant;
	}


	public javax.swing.JTextField getTfMontantControle() {
		return tfMontantControle;
	}


	public void setTfMontantControle(javax.swing.JTextField tfMontantControle) {
		this.tfMontantControle = tfMontantControle;
	}


	public javax.swing.JButton getBtnDelRib() {
		return btnDelRib;
	}


	public void setBtnDelRib(javax.swing.JButton btnDelRib) {
		this.btnDelRib = btnDelRib;
	}


	public javax.swing.JButton getBtnGetRib() {
		return btnGetRib;
	}


	public void setBtnGetRib(javax.swing.JButton btnGetRib) {
		this.btnGetRib = btnGetRib;
	}


	public javax.swing.JTextField getTfRib() {
		return tfRib;
	}


	public void setTfRib(javax.swing.JTextField tfRib) {
		this.tfRib = tfRib;
	}


	public javax.swing.JButton getBtnDelSousTraitant() {
		return btnDelSousTraitant;
	}


	public void setBtnDelSousTraitant(javax.swing.JButton btnDelSousTraitant) {
		this.btnDelSousTraitant = btnDelSousTraitant;
	}


	public void setViewTableExecution(javax.swing.JPanel viewTableExecution) {
		this.viewTable = viewTableExecution;
	}

	


}

